Subject: math lib, gamma, y0
From: [email-masked] (Brad Haack)

9 Oct 1997 02:41:33 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: gnu-win32 <[email-masked]>

Whats up with these functions in the math lib?  These aren't part of GCC
on other platforms that I'm aware of, why are they here?  I'm trying to
port some code built on a SUN with GCC which uses variables with these
names and I'm getting warnings.  

From math.h:
extern double gamma _PARAMS((double));
extern double gamma_r _PARAMS((double, int *));
extern double lgamma _PARAMS((double));
extern double lgamma_r _PARAMS((double, int *));
extern double y0 _PARAMS((double));
extern double y1 _PARAMS((double));
extern double yn _PARAMS((int, double));
extern double j0 _PARAMS((double));
extern double j1 _PARAMS((double));
extern double jn _PARAMS((int, double));

Brad Haack
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".